/*
============================================================
This is the "Spiel" file from Author: Philipp Kotte
written on: 05 / 10 / 2023 at: 23:25 
============================================================
*/
package Facade;

import Domain.Spieler;

public class Spiel {

	// Statische Konstanten
	
	// Statische Attribute
	private static int runde = 0;
	
	// Attribute der Objekte
	private Spieler spielerAmZug;
	private boolean istGestartet = false;
	private boolean istBeendet = true;
	// Konstruktoren
	public Spiel() {
		setRunde();
		setIstGestartet(true);
		setIstBeendet(false);
	}
	// Statische Methoden
	public static int getRunde() {
		return runde;
	}
	// Getter und Setter
	public void setIstGestartet(boolean wert) {
		this.istGestartet = wert;
	}
	public boolean getIstGestartet() {
		return this.istGestartet;
	}
	public void setIstBeendet(boolean wert) {
		this.istBeendet = wert;
	}
	public boolean getIstBeendet() {
		return istBeendet;
	}
	public Spieler getSpielerAmZug() {
		return spielerAmZug;
	}
	// Overrides
	
	// Public Methoden
	
	// Private Methoden
	private void setRunde() {
		runde++;
	}
	

}
