/*
============================================================
This is the "Magierkarte" file from Author: Philipp Kotte
written on: 05 / 10 / 2023 at: 23:41 
============================================================
*/
package Domain.Karten;

public class Magierkarte extends Karte {
	
	// Statische Konstanten
	private static String TRUMPF_NAME = "Zauberer";
	
	// Statische Attribute
	private static int mkAnzahl = 1; // mk = magierkarte
	
	// Attribute der Objekte
	private String name;
	
	// Konstruktoren
	public Magierkarte() {
		super();
		if (getMkAnzahl() <= 4) {
			setName(TRUMPF_NAME);
			setMkAnzahl();
		}
		else {
			throw new RuntimeException("Es darf nur 4 Zaubererkarten im Spiel geben.");
		}
		
	}

	// Statischen Methoden
	
	// Getter und Setter

	public int getMkAnzahl() {
		return mkAnzahl;
	}

	public void setMkAnzahl() {
		mkAnzahl++;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	// Overrides
	@Override
	public String toString() {
		return this.name;
	}
		
	// public Methoden
	
	// private Methoden
}
